function [res] = multicore_mc_chunks_slave(par)
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %% This function is part of multicore Monte-Carlo evaluator. It processes one 
  %% chunk of iterations with common parameters and returns array of results.
  %%
  %% Version 2013.07.16 by Stanislav Maslan, s.maslan@seznam.cz
  %% http://elektronika.kvalitne.cz     
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
  % call user function to get return type
  res = par.myfun(par.par);
  
  % allocate results buffer for entire chunk
  res = resize(res,par.N,1);
      
  % process rest of the chunk
  for k = 2:par.N
    res(k) = par.myfun(par.par);    
  end
    
end